{% extends 'base.html.twig' %}

{% block title %}DocumentCsv index{% endblock %}
{% block stylesheets %} 
{{ parent() }}
    {% if mystyle is defined %}
    <style>
     {{ mystyle |raw }}
    </style> 
    {% endif %}
{% endblock %}
{% block body %}

    <h1>DocumentCsv index</h1> 
    <div>
    {% if message is defined %}
        {{ message|raw }}
    {% endif %}
    </div>
    <a href="{{ path('document_csv_new') }}">Create new</a>
    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>CsvName</th>
                <th>CreatedAt</th>
                <th>UpdatedAt</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for document_csv in document_csvs %}
            <tr>
                <td>{{ document_csv.id }}</td>
                <td>{{ document_csv.csvName }}</td>
                <td>{{ document_csv.createdAt ? document_csv.createdAt|date('d-m-Y H:i:s') : '' }}</td>
                <td>{{ document_csv.updatedAt ? document_csv.updatedAt|date('d-m-Y H:i:s') : '' }}</td>
                <td>
                {% if document_csv.isSent == false %}
                    <a href="{{ path('send_document_csv', {'file_name': document_csv.csvName}) }}">charger</a>
                    <a href="{{ path('document_csv_edit', {'id': document_csv.id}) }}">editer</a>
                {% else %}
                    deja chargé
                {% endif %}
                    
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}
